clang 8.0.0

Public Member Functions | List of all members
clang::ento::SymExprVisitor< ImplClass, RetTy > Class Template Reference

SymExprVisitor - this class implements a simple visitor for SymExpr subclasses. More...

`#include "clang/StaticAnalyzer/Core/PathSensitive/SValVisitor.h"`

Inheritance diagram for clang::ento::SymExprVisitor< ImplClass, RetTy >:
[legend]

## Public Member Functions
RetTy | Visit (SymbolRef S)
RetTy | VisitSymExpr (SymbolRef S)

## Detailed Description

### template<typename ImplClass, typename RetTy = void>
class clang::ento::SymExprVisitor< ImplClass, RetTy >

SymExprVisitor - this class implements a simple visitor for SymExpr subclasses.

Definition at line 76 of file SValVisitor.h.

## Member Function Documentation

## ◆ Visit()

template<typename ImplClass, typename RetTy = void>

RetTy clang::ento::SymExprVisitor< ImplClass, RetTy >::Visit | ( | SymbolRef | S | ) |
| inline

Definition at line 82 of file SValVisitor.h.

## ◆ VisitSymExpr()

template<typename ImplClass, typename RetTy = void>

RetTy clang::ento::SymExprVisitor< ImplClass, RetTy >::VisitSymExpr | ( | SymbolRef | S | ) |
| inline

Definition at line 99 of file SValVisitor.h.

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/SValVisitor.h